PUT Update node settings
Update node settings
Update node settings
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/learning-path-nodes/{id}" \ -H "Content-Type: application/json" \ -d '{ "title": "Example title", "description": "Example description", "sequence_order": 1, "is_required": true, "estimated_duration_minutes": 1, "incoming_logic": "AND" }'{ "data": { "id": "{id}", "learning_path_id": "{learning_path_id}", "node_type": "course", "title": "string", "description": "string", "content_data": { "title": "string", "body": "string", "text": "string", "html": "string", "embed_url": "http://example.com", "media_type": "article", "duration_minutes": 0, "property1": "string", "property2": "string" }, "metadata": { "external_id": "string", "source_id": "string", "display_variant": "string", "tags": [ "string" ], "completion_criteria": "string", "property1": "string", "property2": "string" }, "order_index": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}